
From: Andrew Morton <akpm@osdl.org>

Cc: Nikita Danilov <nikita@clusterfs.com>
Cc: Martin Hicks <mort@sgi.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 mm/page_alloc.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

diff -puN mm/page_alloc.c~vm-early-zone-reclaim-tidy mm/page_alloc.c
--- 25/mm/page_alloc.c~vm-early-zone-reclaim-tidy	Mon Jun  6 14:19:16 2005
+++ 25-akpm/mm/page_alloc.c	Mon Jun  6 14:19:35 2005
@@ -725,7 +725,7 @@ int zone_watermark_ok(struct zone *z, in
 }
 
 static inline int
-check_zone_reclaim(struct zone *z, unsigned int gfp_mask)
+should_reclaim_zone(struct zone *z, unsigned int gfp_mask)
 {
 	if (!z->reclaim_pages)
 		return 0;
@@ -768,10 +768,10 @@ __alloc_pages(unsigned int __nocast gfp_
 
 	classzone_idx = zone_idx(zones[0]);
 
- restart:
+restart:
 	/* Go through the zonelist once, looking for a zone with enough free */
 	for (i = 0; (z = zones[i]) != NULL; i++) {
-		int do_reclaim = check_zone_reclaim(z, gfp_mask);
+		int do_reclaim = should_reclaim_zone(z, gfp_mask);
 
 		if (!cpuset_zone_allowed(z))
 			continue;
@@ -781,7 +781,7 @@ __alloc_pages(unsigned int __nocast gfp_
 		 * will try to reclaim pages and check the watermark a second
 		 * time before giving up and falling back to the next zone.
 		 */
-	zone_reclaim_retry:
+zone_reclaim_retry:
 		if (!zone_watermark_ok(z, order, z->pages_low,
 				       classzone_idx, 0, 0)) {
 			if (!do_reclaim)
_
